---
title: SVGUnitTypes
slug: Web/API/SVGUnitTypes
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGUnitTypes</code></strong> interface defines a commonly used set of constants used for reflecting {{SVGAttr("gradientUnits")}}, {{SVGAttr("patternContentUnits")}} and other similar attributes.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Constants">Constants</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>SVG_UNIT_TYPE_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>SVG_UNIT_TYPE_USERSPACEONUSE</code></td>
   <td>1</td>
   <td>Corresponds to the value <code>userSpaceOnUse</code>.</td>
  </tr>
  <tr>
   <td><code>SVG_UNIT_TYPE_OBJECTBOUNDINGBOX</code></td>
   <td>2</td>
   <td>Corresponds to the value <code>objectBoundingBox</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<p><em>This interface doesn't implement any specific properties.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "types.html#InterfaceSVGUnitTypes", "SVGUnitTypes")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "types.html#InterfaceSVGUnitTypes", "SVGUnitTypes")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGUnitTypes")}}</p>
